import Taro from '@tarojs/taro';
import { View, Swiper, SwiperItem, Image } from '@tarojs/components';
import './style.less'

export default (props) => {
  const { banner } = props;
  return (
    <View className='banner-box'>
      <Swiper
        className='swiper-container'
        circular
        indicatorDots
        indicatorColor='#B5B5B5'
        indicatorActiveColor='#FBD804'
        autoplay
      // vertical//纵向滑动  上下
      >
        {
          banner && banner.map((item, index) => (
            <SwiperItem key={index} className='SwiperItem-img' >
              <Image className='swiper-img' src={item.imgUrl} mode='widthFix'></Image>
            </SwiperItem>
          ))
        }


      </Swiper>
    </View>
  )
}




