import { useState } from "react"
import Taro from "@tarojs/taro"

import { login } from "../services/dogAPI"


export default () => {
  const [user, setUser] = useState()
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()

  const logins = (params) => {
    console.log('login');

    login(params).then((res) => {

      const { person: taPerson, sessionKey: skey, user: taUser } = res;
      // taPerson.phone = null

      setPerson(taPerson);
      setUser(taUser);
      setSessionKey(skey);
    })
  }

  return {
    user,
    setUser,

    person,
    setPerson,

    sessionKey,
    setSessionKey,


    logins,
  }
}